Hilfe wine lässt sich nicht installieren

German Forum

Hilfe wine lässt sich nicht installieren

Postby spiderfloh on Sun Jul 06, 2014 12:20 pm

Hallo,
bin absuluter Linux-Neuling (LinuxMint17) und wollte wine auf meinen Rechner installieren.
Habe es nach div. Anleitungen im Netz über das Terminal mit den sudo apt Befehlen versucht.
Die beiden folgenden Befehle funktionierten ohne Probleme:

sudo add-apt-repository ppa:ubuntu-wine/ppa
sudo apt-get update,

Der nächte Befehl:

sudo apt-get install wine

endete so:


Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
wine : Hängt ab von: wine1.6 soll aber nicht installiert werden oder
wine1.7 soll aber nicht installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.


Leider komme ich nicht mehr weiter. Habe keine Idee was ich noch machen kann um wine doch noch auf meinen Rechner zu bekommen.

Please Help.
spiderfloh
Level 1
Level 1
 
Posts: 20
Joined: Sun Jul 06, 2014 11:51 am

Linux Mint is funded by ads and donations.
 

Re: Hilfe wine lässt sich nicht installieren

Postby karlchen on Mon Jul 07, 2014 9:03 am

Hallo, spiderfloh.

Der einfachste Weg ist manchmal der Erfolgreichste: Entweder im Software Manager nach Wine suchen oder Synaptic Package Manager starten und dort nach Wine suchen. Wine markieren und zur Installation auswählen.
Der Software Manager wird nicht viel erzählen, sondern einfach machen. Synaptic wird einem auflisten, welche Softwarepakete Wine noch zusätzlich benötigt. Das bestätigt man. Dann auf [Anwenden] (in älteren Versionen noch [Installieren] betitelt) klicken, und los geht es.
Software Manager wie Synaptic sollten ein und dieselbe Wine Version, 1.6.2, herunterladen und installieren.
Das hat bei mir sowohl auf Ubuntu 14.04 64-bit, also auch auf Linux Mint 17 32-bit beide Male ohne Probleme funktioniert.

Vorschlag zur Vorgehensweise daher:
  • Mittels Software Sources (Softwarequellen) das hinzugefügte Wine PPA wieder deaktivieren
  • Synaptic starten und erst einmal die Liste verfügbarer Software aktualisieren. Button [Neu laden]
  • Mittels Synaptic das halb installierte Wine heraussuchen, markieren und zum De-Installieren auswählen (Recthsklick) und dann beseitigen.
  • Danach Wine wieder in der Liste heraussuchen, Paketname wine. Markieren, Rechtsklicks => Zur Installation auswählen.
  • Synaptic wird diesmal Wine 1.6.2 herauspicken und eine ganze Reihe dafür benötigter Softwarepakete. Bestätigen.
  • Dann den Button [Anwenden] klicken, um die Installation wirklich zu starten.
  • Achtung: Nach einer Weile wird jede Wine Installation mit einer Sonderabfrage kommen, bevor es ein paar Microsoft Schritftarten dem System hinzufügt. Das gesonderte OK ist aus lizenztechnischen Gründen erforderlich.
  • Irgendwann ist dann die Installation erfolgreich beendet (so hoffe ich doch)
  • Im Mint Menü das Untermenü "Wine" öffnen und die Wine Konfiguration einmalig durchführen.
  • Das sollte es gewesen sein.
Grüße
Karl
User avatar
karlchen
Level 10
Level 10
 
Posts: 3405
Joined: Sat Dec 31, 2011 7:21 am

Re: Hilfe wine lässt sich nicht installieren

Postby spiderfloh on Tue Jul 08, 2014 1:48 pm

Danke für die Anleitung. Werde es gleich ausprobieren.
Gruß
spiderfoh
spiderfloh
Level 1
Level 1
 
Posts: 20
Joined: Sun Jul 06, 2014 11:51 am

Re: Hilfe wine lässt sich nicht installieren

Postby spiderfloh on Tue Jul 08, 2014 3:07 pm

Hallo nochmal,

komme leider immer noch nicht weiter.
Mittels softwaresources (heißt bei mir Anwendungspaketquellen) wine ppa entfernt.

danach synaptic gestartet und die Liste verfügbarer software aktualisiert.
kein halb installiertes wine gefunden. in der liste aber wine gefunden. zur installation vormerken angeklickt (was anderes geht auch nicht). dann öffnet sich ein Fenster "notwendige Änderungen vormerken?" mit einer ganzen Reihe von Paketen, die auch geändert werden müssen. dann auf vormerken geklickt. dann wird das symbol vor wine rot (defekt). unter eigenschaften/abhängigkeiten steht: benötigt wine1.6; im Konflikt mit : wine

was zum Kuckuck mach ich falsch ???????
spiderfloh
Level 1
Level 1
 
Posts: 20
Joined: Sun Jul 06, 2014 11:51 am

Re: Hilfe wine lässt sich nicht installieren

Postby karlchen on Wed Jul 09, 2014 9:57 am

Hallo, spiderfloh.

Ich glaube nicht, dass du etwas faslch machst. Vielmehr kommt da jemand mit der halb durchgeführten Wine 1.7. Installation und dem Anliegen, jetzt Wine 1.6.2 zu installieren durcheinander.
Was gibt denn folgender Befehl aus:
Code: Select all
dpkg --list wine*
Ich erwarte, dass in der Liste ein Wine 1.7 mit aufgeführt wird. Wenn ja, muß man das zuerst entfernen, um dann wieder mit Wine1.6.2 weitermachen zu können.

Grüße,
Karl
User avatar
karlchen
Level 10
Level 10
 
Posts: 3405
Joined: Sat Dec 31, 2011 7:21 am

Re: Hilfe wine lässt sich nicht installieren

Postby spiderfloh on Wed Jul 09, 2014 3:15 pm

es kommt folgende Ausgabe:

dpkg --list wine*
dpkg-query: Kein Paket gefunden, das auf wine* passt
Gruß
spiderfloh
spiderfloh
Level 1
Level 1
 
Posts: 20
Joined: Sun Jul 06, 2014 11:51 am

Re: Hilfe wine lässt sich nicht installieren

Postby karlchen on Wed Jul 09, 2014 5:49 pm

Hallo, spiderfloh.

So, so, kein Wine Paket gefunden. Hm. Dann wäre es gut, folgende beiden Kommandos durchzuführen. Bildschirmausgabe bitte wieder posten.
Code: Select all
sudo apt-get update
und
Code: Select all
sudo apt-cache showpkg wine

Grüße,
Karl
User avatar
karlchen
Level 10
Level 10
 
Posts: 3405
Joined: Sat Dec 31, 2011 7:21 am

Re: Hilfe wine lässt sich nicht installieren

Postby spiderfloh on Thu Jul 10, 2014 3:57 pm

Hallo,

hier ist meine Terminalausgabe:

sudo apt-get update
[sudo] password for spiderfloh:
Ign http://security.ubuntu.com trusty-security InRelease
Ign http://linux-mint.froonix.org qiana InRelease
Ign http://archive.canonical.com trusty InRelease
OK http://linux-mint.froonix.org qiana Release.gpg
Holen: 1 http://security.ubuntu.com trusty-security Release.gpg [933 B]
OK http://archive.canonical.com trusty Release.gpg
OK http://linux-mint.froonix.org qiana Release
Holen: 2 http://security.ubuntu.com trusty-security Release [58,5 kB]
OK http://archive.canonical.com trusty Release
OK http://linux-mint.froonix.org qiana/main amd64 Packages
Ign http://extra.linuxmint.com qiana InRelease
OK http://archive.canonical.com trusty/partner amd64 Packages
OK http://linux-mint.froonix.org qiana/upstream amd64 Packages
Holen: 3 http://security.ubuntu.com trusty-security/main amd64 Packages [106 kB]
OK http://linux-mint.froonix.org qiana/import amd64 Packages
OK http://archive.canonical.com trusty/partner i386 Packages
Holen: 4 http://archive.getdeb.net trusty-getdeb InRelease [8.125 B]
Ign http://mirrors.liquidweb.com trusty InRelease
OK http://linux-mint.froonix.org qiana/main i386 Packages
Holen: 5 http://extra.linuxmint.com qiana Release.gpg [198 B]
OK http://linux-mint.froonix.org qiana/upstream i386 Packages
OK http://linux-mint.froonix.org qiana/import i386 Packages
Holen: 6 http://security.ubuntu.com trusty-security/restricted amd64 Packages [14 B]
Ign http://mirrors.liquidweb.com trusty-updates InRelease
Holen: 7 http://security.ubuntu.com trusty-security/universe amd64 Packages [37,0 kB]
OK http://archive.getdeb.net trusty-getdeb/apps amd64 Packages
Holen: 8 http://extra.linuxmint.com qiana Release [3.144 B]
Holen: 9 http://security.ubuntu.com trusty-security/multiverse amd64 Packages [1.147 B]
OK http://mirrors.liquidweb.com trusty Release.gpg
Holen: 10 http://security.ubuntu.com trusty-security/main i386 Packages [103 kB]
OK http://archive.getdeb.net trusty-getdeb/apps i386 Packages
Holen: 11 http://extra.linuxmint.com qiana/main amd64 Packages [7.904 B]
OK http://mirrors.liquidweb.com trusty-updates Release.gpg
Holen: 12 http://security.ubuntu.com trusty-security/restricted i386 Packages [14 B]
Holen: 13 http://security.ubuntu.com trusty-security/universe i386 Packages [36,9 kB]
Ign http://archive.canonical.com trusty/partner Translation-de_DE
Holen: 14 http://security.ubuntu.com trusty-security/multiverse i386 Packages [1.402 B]
Ign http://archive.canonical.com trusty/partner Translation-de
Ign http://archive.canonical.com trusty/partner Translation-en
OK http://mirrors.liquidweb.com trusty Release
Holen: 15 http://extra.linuxmint.com qiana/main i386 Packages [8.421 B]
OK http://security.ubuntu.com trusty-security/main Translation-en
OK http://mirrors.liquidweb.com trusty-updates Release
OK http://security.ubuntu.com trusty-security/multiverse Translation-en
OK http://mirrors.liquidweb.com trusty/main amd64 Packages
OK http://security.ubuntu.com trusty-security/restricted Translation-en
OK http://mirrors.liquidweb.com trusty/restricted amd64 Packages
OK http://security.ubuntu.com trusty-security/universe Translation-en
OK http://mirrors.liquidweb.com trusty/universe amd64 Packages
OK http://mirrors.liquidweb.com trusty/multiverse amd64 Packages
OK http://mirrors.liquidweb.com trusty/main i386 Packages
Ign http://linux-mint.froonix.org qiana/import Translation-de_DE
Ign http://linux-mint.froonix.org qiana/import Translation-de
OK http://mirrors.liquidweb.com trusty/restricted i386 Packages
Ign http://linux-mint.froonix.org qiana/import Translation-en
Ign http://linux-mint.froonix.org qiana/main Translation-de_DE
Ign http://linux-mint.froonix.org qiana/main Translation-de
OK http://mirrors.liquidweb.com trusty/universe i386 Packages
Ign http://linux-mint.froonix.org qiana/main Translation-en
Ign http://linux-mint.froonix.org qiana/upstream Translation-de_DE
OK http://mirrors.liquidweb.com trusty/multiverse i386 Packages
Ign http://linux-mint.froonix.org qiana/upstream Translation-de
Ign http://linux-mint.froonix.org qiana/upstream Translation-en
Ign http://security.ubuntu.com trusty-security/main Translation-de_DE
Ign http://security.ubuntu.com trusty-security/main Translation-de
Ign http://security.ubuntu.com trusty-security/multiverse Translation-de_DE
Ign http://security.ubuntu.com trusty-security/multiverse Translation-de
Ign http://security.ubuntu.com trusty-security/restricted Translation-de_DE
OK http://mirrors.liquidweb.com trusty/main Translation-de
Ign http://security.ubuntu.com trusty-security/restricted Translation-de
Ign http://security.ubuntu.com trusty-security/universe Translation-de_DE
Ign http://archive.getdeb.net trusty-getdeb/apps Translation-de_DE
Ign http://security.ubuntu.com trusty-security/universe Translation-de
OK http://mirrors.liquidweb.com trusty/main Translation-en
Ign http://archive.getdeb.net trusty-getdeb/apps Translation-de
Ign http://archive.getdeb.net trusty-getdeb/apps Translation-en
OK http://mirrors.liquidweb.com trusty/multiverse Translation-de
OK http://mirrors.liquidweb.com trusty/multiverse Translation-en
Ign http://extra.linuxmint.com qiana/main Translation-de_DE
OK http://mirrors.liquidweb.com trusty/restricted Translation-de
OK http://mirrors.liquidweb.com trusty/restricted Translation-en
Ign http://extra.linuxmint.com qiana/main Translation-de
OK http://mirrors.liquidweb.com trusty/universe Translation-de
Ign http://extra.linuxmint.com qiana/main Translation-en
OK http://mirrors.liquidweb.com trusty/universe Translation-en
OK http://mirrors.liquidweb.com trusty-updates/main amd64 Packages
OK http://mirrors.liquidweb.com trusty-updates/restricted amd64 Packages
OK http://mirrors.liquidweb.com trusty-updates/universe amd64 Packages
OK http://mirrors.liquidweb.com trusty-updates/multiverse amd64 Packages
OK http://mirrors.liquidweb.com trusty-updates/main i386 Packages
OK http://mirrors.liquidweb.com trusty-updates/restricted i386 Packages
OK http://mirrors.liquidweb.com trusty-updates/universe i386 Packages
OK http://mirrors.liquidweb.com trusty-updates/multiverse i386 Packages
OK http://mirrors.liquidweb.com trusty-updates/main Translation-en
OK http://mirrors.liquidweb.com trusty-updates/multiverse Translation-en
OK http://mirrors.liquidweb.com trusty-updates/restricted Translation-en
OK http://mirrors.liquidweb.com trusty-updates/universe Translation-en
Ign http://mirrors.liquidweb.com trusty/main Translation-de_DE
Ign http://mirrors.liquidweb.com trusty/multiverse Translation-de_DE
Ign http://mirrors.liquidweb.com trusty/restricted Translation-de_DE
Ign http://mirrors.liquidweb.com trusty/universe Translation-de_DE
Ign http://mirrors.liquidweb.com trusty-updates/main Translation-de_DE
Ign http://mirrors.liquidweb.com trusty-updates/main Translation-de
Ign http://mirrors.liquidweb.com trusty-updates/multiverse Translation-de_DE
Ign http://mirrors.liquidweb.com trusty-updates/multiverse Translation-de
Ign http://mirrors.liquidweb.com trusty-updates/restricted Translation-de_DE
Ign http://mirrors.liquidweb.com trusty-updates/restricted Translation-de
Ign http://mirrors.liquidweb.com trusty-updates/universe Translation-de_DE
Ign http://mirrors.liquidweb.com trusty-updates/universe Translation-de
Es wurden 373 kB in 12 s geholt (29,0 kB/s).
Paketlisten werden gelesen... Fertig
spiderfloh@papalap ~ $ sudo apt-cache showpkg wine
Package: wine
Versions:
1:1.6.2-0ubuntu4 (/var/lib/apt/lists/mirrors.liquidweb.com_ubuntu_dists_trusty_universe_binary-amd64_Packages)
Description Language:
File: /var/lib/apt/lists/mirrors.liquidweb.com_ubuntu_dists_trusty_universe_binary-amd64_Packages
MD5: 6474b3e541944944e61aec502ceb28f2
Description Language: de
File: /var/lib/apt/lists/mirrors.liquidweb.com_ubuntu_dists_trusty_universe_i18n_Translation-de
MD5: 6474b3e541944944e61aec502ceb28f2
Description Language: en
File: /var/lib/apt/lists/mirrors.liquidweb.com_ubuntu_dists_trusty_universe_i18n_Translation-en
MD5: 6474b3e541944944e61aec502ceb28f2


Reverse Depends:
wine1.6:i386,wine
wine:i386,wine
pq,wine
playonlinux,wine
winetricks,wine
wine1.6,wine
q4wine,wine
nsis,wine
jcadencii,wine
wibom-gtk,wine
Dependencies:
1:1.6.2-0ubuntu4 - wine1.6 (0 (null)) wine:i386 (0 (null))
Provides:
1:1.6.2-0ubuntu4 - wine:i386
Reverse Provides:
wine:i386 1:1.6.2-0ubuntu4
wine1.6 1:1.6.2-0ubuntu4


Gruß
spiderfloh
spiderfloh
Level 1
Level 1
 
Posts: 20
Joined: Sun Jul 06, 2014 11:51 am

Re: Hilfe wine lässt sich nicht installieren

Postby karlchen on Thu Jul 10, 2014 6:28 pm

Hallo, spiderfloh.

Das sieht alles so aus wie es soll. "sudo apt-get update" ist durchmarschiert. "sudo apt-cache showpkg wine" läßt keine widersprüchlichen Anfoderungen erkennen. Ich würde noch einmal versuchen, das Paket "wine" zur Installation auszuwählen. Wenn Synaptic wieder meckert, dass "wine" sich selbst im Wege stehe, würde ich stattdessen gleich "wine1.6" auswählen. Das sollte das gleiche Ergebnis haben, hoffentlich nur ohne Mäkelei. De facto muß am Ende immer Wine 1.6.2 mit allen benötigten Abhängigkeiten installiert werden.

Grüße,
Karl
User avatar
karlchen
Level 10
Level 10
 
Posts: 3405
Joined: Sat Dec 31, 2011 7:21 am

Re: Hilfe wine lässt sich nicht installieren

Postby PatH57 on Thu Jul 10, 2014 6:41 pm

Hallo,

versuch einmal
Code: Select all
sudo apt-get purge wine


und dann wieder neu installieren.

Gruss
Patrick
People disagree with me. I just ignore them.
(Linus Torvalds, regarding the use of C++ for the Linux kernel.)

Please Add [Solved] to the topic-title of your first post when appropriate so others know they might find a solution here.
User avatar
PatH57
Level 11
Level 11
 
Posts: 3600
Joined: Tue Mar 25, 2014 12:11 pm
Location: here and there

Re: Hilfe wine lässt sich nicht installieren

Postby spiderfloh on Fri Jul 11, 2014 3:12 pm

Hallo,
hab' jetzt als erstes den apt-get purge Befehl ausgeführt. Da stand dann am Terminal, dass wine gar nicht installiert ist. (das weiß ich bereits).

dann mit Hilfe von synaptic versucht wine zu installieren. Lässt sich nicht. versucht wine1.6 zu installieren. lässt sich nicht. versucht wine1.6 amd64 zu installieren. lässt sich nicht.

Hat irgendjemand noch eine Idee, was ich jetzt noch tun kann, um wine auf meinen Rechner zu bekommen.

Hilft es vielleicht, wenn ich LinuxMint nochmal komplett neu auf den Rechner installiere? (noch wär das nicht so schlimm, da ich ihn erst seit ner Woche in Betrieb hab und noch kaum Daten drauf sind). Kann es sein, dass ich im Bios bzw. uefi was falsch eingestellt habe?
Mein Rechner ist ein Lenovo Laptop mit amd a8 -4500 apu mit radeon hd graphics x 2
grafikkarte radeon hd 7640g.

Ist nur LinuxMint17 drauf. kein windows. habe linux auf den neuen nackten rechner installiert.

Hab' immer noch den Ehrgeiz es mit Linux weiter zu probieren.
Gruß
spiderfloh
spiderfloh
Level 1
Level 1
 
Posts: 20
Joined: Sun Jul 06, 2014 11:51 am

Re: Hilfe wine lässt sich nicht installieren

Postby PatH57 on Fri Jul 11, 2014 3:17 pm

Hallo,

das ist bestimmt schneller als weiter zu versuchen.
Danach aber Wine mit Hilfe des Software manager installieren.

Gruss,
Patrick
People disagree with me. I just ignore them.
(Linus Torvalds, regarding the use of C++ for the Linux kernel.)

Please Add [Solved] to the topic-title of your first post when appropriate so others know they might find a solution here.
User avatar
PatH57
Level 11
Level 11
 
Posts: 3600
Joined: Tue Mar 25, 2014 12:11 pm
Location: here and there

Re: Hilfe wine lässt sich nicht installieren

Postby spiderfloh on Fri Jul 11, 2014 3:32 pm

ist das der synaptic?
bei anwendungspaketverwaltung ist zwar wine als empfohlenes programm dabei. wenn ich es aber anklicke, bekomme ich die antwort, dass es nicht verfügbar ist und "bitte benutzen sie apt-get, um dieses paket zu installierem". (damit hat der schlamassel wahrscheinl. angefangen).
Gruß
spiderfloh
spiderfloh
Level 1
Level 1
 
Posts: 20
Joined: Sun Jul 06, 2014 11:51 am

Re: Hilfe wine lässt sich nicht installieren

Postby PatH57 on Fri Jul 11, 2014 5:02 pm

Gruss,

hab gerade wine installiert und functionniert auf Mint 17 Mate ohne Probleme. Also das Installieren functionniert...
Attachments
wine synaptic.png
People disagree with me. I just ignore them.
(Linus Torvalds, regarding the use of C++ for the Linux kernel.)

Please Add [Solved] to the topic-title of your first post when appropriate so others know they might find a solution here.
User avatar
PatH57
Level 11
Level 11
 
Posts: 3600
Joined: Tue Mar 25, 2014 12:11 pm
Location: here and there

Re: Hilfe wine lässt sich nicht installieren

Postby karlchen on Fri Jul 11, 2014 5:32 pm

Hi, PatH57.

Wine 1.6.2 zu installieren, z.B. aus dem Synaptic heraus, das funktioniert auch unter Linux Mint 17 32-bit Cinnamon. Das habe ich auf meinem Rechner so gemacht.
Es könnte sein, dass spiderflohs Probleme damit begannen, dass er versucht hat, Wine 1.7 aus dem WineHQ PPA (ppa:ubuntu-wine/ppa) zu holen. [1] Im Wine 1.7 Paket steckt vielleicht irgendein Fehler, der den ganzen nachfolgenden Schlammassel dann ausgelöst hat. Und wie bekannt, sind wir bis jetzt leider nicht dahinter gekommen, was die Fehlerursache ist und wie man sie beseitigt.
Deswegen ist es nicht ausgeschlossen, dass es aus Zeigründen günstiger ist, Linux Mint 17 neu zu installieren und Wine 1.6.2 aus den normalen Ubuntu Repositories zu holen. Und es ist auch nicht auszuschließen, dass das dann wirklich funktionieren wird.
Es muß ja möglich sein, sonst hätte es auf unseren Mint 17 Mate + Cinnamon Systemen nicht klappen dürfen.

Grüße,
Karl
User avatar
karlchen
Level 10
Level 10
 
Posts: 3405
Joined: Sat Dec 31, 2011 7:21 am

Re: Hilfe wine lässt sich nicht installieren

Postby PatH57 on Fri Jul 11, 2014 5:53 pm

Sorry das hatte ich ja auch so verstanden, Er hat ja erwaehnte das das System gerade ja ein paar Tage alt ist.

http://www.winehq.org/download/ubuntu Beta also aufpassen aber alle (dependencies wie ist das auf Deutsch) sind dabei, Konflikte na ja probieren
People disagree with me. I just ignore them.
(Linus Torvalds, regarding the use of C++ for the Linux kernel.)

Please Add [Solved] to the topic-title of your first post when appropriate so others know they might find a solution here.
User avatar
PatH57
Level 11
Level 11
 
Posts: 3600
Joined: Tue Mar 25, 2014 12:11 pm
Location: here and there

Re: Hilfe wine lässt sich nicht installieren

Postby spiderfloh on Tue Jul 15, 2014 2:40 pm

Hallo miteinander,

habe LinuxMint17gestern neu installiert. Wine ließ sich anschließend problemlos installieren.
Woran es letztendlich lag, weiß ich nicht.
Dank an euch alle für eure Tips.

Gruß
spiderfloh
spiderfloh
Level 1
Level 1
 
Posts: 20
Joined: Sun Jul 06, 2014 11:51 am

Linux Mint is funded by ads and donations.
 

Return to Deutsch (German)

Who is online

Users browsing this forum: No registered users and 2 guests